( function ( $ ) {
    // var WidgetTFLOdometersHandler = function ($scope, $) {
    //
    //     $scope.find('.tfl-odometer .tfl-number').each(function () {
    //
    //         var odometer = $(this);
    //
    //         setTimeout(function () {
    //             var data_stop = odometer.attr('data-stop');
    //             $(odometer).text(data_stop);
    //
    //         }, 100);
    //
    //     });
    //
    // };
    //
    // var WidgetTFLOdometersHandlerOnScroll = function ($scope, $) {
    //
    //     $scope.themesflatWaypoint(function (direction) {
    //
    //         WidgetTFLOdometersHandler($(this.element), $);
    //
    //         this.destroy(); // Done with handle on scroll
    //
    //     }, {
    //         offset: (window.innerHeight || document.documentElement.clientHeight) - 100
    //     });
    // };
    //
    // // Make sure you run this code under Elementor..
    // $( window ).on( 'elementor/frontend/init', function () {
    //
    //     if (elementorFrontend.isEditMode()) {
    //
    //         elementorFrontend.hooks.addAction( 'frontend/element_ready/tfl-odometers.default', WidgetTFLOdometersHandler );
    //
    //     } else {
    //
    //         elementorFrontend.hooks.addAction( 'frontend/element_ready/tfl-odometers.default', WidgetTFLOdometersHandlerOnScroll );
    //     }
    //
    // } );

    var tfcounterv2 = function() {
        $(window).scroll(function() {
            var oTop = $('.counter').offset().top - window.innerHeight;
            if ($(window).scrollTop() > oTop) {
                var odo = $(".odometer");
                odo.each(function() {
                    var countNumber = $(this).data("count");
                    $(this).html(countNumber);
                });
            }
        });
    }

    var logov2 = function() {
        // Elements to inject
        var mySVGsToInject = document.querySelectorAll('img.logo_svg');

        // Trigger the injection
        SVGInjector(mySVGsToInject, {
            pngFallback: 'assets/png'
        });
    }


    $(window).on('elementor/frontend/init', function() {
        elementorFrontend.hooks.addAction( 'frontend/element_ready/tfcounter.default', tfcounterv2 );
        // elementorFrontend.hooks.addAction( 'frontend/element_ready/tfcounter.default', logov2 );
    });


} )( jQuery );